import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'
const useUrl = 'Back-Url'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token,exp) {
  const expdays = convertSecondsToDays(exp)
  return Cookies.set(TokenKey, token, { expires: expdays })
}

export function setUserUrl(url,exp) {
  const expdays = convertSecondsToDays(exp)
  return Cookies.set(useUrl, url, { expires: expdays })
}

export function getUserUrl() {
  return Cookies.get(useUrl)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function removUserUrl() {
  return Cookies.remove(useUrl)
}

//把秒转换成天
function convertSecondsToDays(seconds) {
  return seconds/(60*60*24); //1天=60秒*60分钟*24小时
}
